Name:           xeus
Version:        3.2.0
Release:    1%{?dist}
Summary:        C++ implementation of the Jupyter kernel protocol

License:        BSD
URL:            https://github.com/jupyter-xeus/xeus
Source0:        https://github.com/jupyter-xeus/xeus/archive/%{version}/%{name}-%{version}.tar.gz

ExcludeArch: %{ix86}

BuildRequires:  cmake >= 3.8
BuildRequires:  cmake(nlohmann_json) >= 3.2.0
BuildRequires:  cmake(xtl) >= 0.7
BuildRequires:  doctest-devel
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  libuuid-devel
BuildRequires:  make
BuildRequires:  pkgconfig(uuid)
BuildRequires:  python3dist(breathe)
BuildRequires:  python3dist(jupyter-kernel-test)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
xeus is a library meant to facilitate the implementation of kernels for
Jupyter. It takes the burden of implementing the Jupyter Kernel protocol so
developers can focus on implementing the interpreter part of the kernel.


%package devel
Summary:        %{summary}
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for %{name} library.


%prep
%autosetup -p1


%build
%cmake -DXEUS_BUILD_STATIC_LIBS=OFF -DXEUS_DISABLE_ARCH_NATIVE=ON -DXEUS_BUILD_TESTS=ON
%cmake_build

make -C docs SPHINXBUILD=sphinx-build-3 html
rm docs/build/html/.buildinfo


%install
%cmake_install


%check
%ctest


%files
%doc README.md docs/build/html
%license LICENSE
%{_libdir}/libxeus.so.9*

%files devel
%{_includedir}/xeus/
%{_libdir}/cmake/xeus/
%{_libdir}/libxeus.so


%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-1
- initial build
